VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} frmZieldatum 
   Caption         =   "Zieldatum"
   ClientHeight    =   2460
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3600
   OleObjectBlob   =   "frmZieldatum.frx":0000
   StartUpPosition =   1  'Fenstermitte
End
Attribute VB_Name = "frmZieldatum"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'Userform fr:  Alle Office-2000-Anwendungen
'Funktion:      Errechnet das Zieldatum aus einem Datum und einer
'               Anzahl von Tagen. Fgt das Ergebnis im langen oder
'               kurzen Datumsformat in das Dokument oder die
'               Zwischenablage ein.
'Bentigt:      Startmakro Zieldatum
' 2000, Ralf Nebelo

Private Sub UserForm_Initialize()
    txtDatum.Text = Date
End Sub

Private Sub cmdOK_Click()
    Dim strZielDatum As String
    Dim objData As DataObject
    
    If IsDate(txtDatum.Text) = False Then
        MsgBox "Ungltiges Datum", vbOKOnly, Me.Caption
        txtDatum.Text = Date
        txtDatum.SetFocus
        Exit Sub
    End If
    
    If Val(txtTage.Text) = 0 Then
        MsgBox "Ungltige Tagesdifferenz", vbOKOnly, Me.Caption
        txtTage.Text = "30"
        txtTage.SetFocus
        Exit Sub
    End If
    
    If chkKurzLang.Value = False Then
        strZielDatum = Format(CDate(txtDatum) + Val(txtTage), "Short Date")
    Else
        strZielDatum = Format(CDate(txtDatum) + Val(txtTage), "Long Date")
    End If
    
    If optDokument.Value = True Then
        Unload Me
        SendKeys strZielDatum
    Else
        Set objData = New DataObject
        With objData
            .Clear
            .SetText strZielDatum
            .PutInClipboard
        End With
        Unload Me
    End If
End Sub

Private Sub cmdCancel_Click()
    Unload Me
End Sub

